UNADF(1)

NAME
unadf - extract files from an Amiga Disk File dump

SYNOPSIS
unadf [-l] [-r] [-c] [-s] [-m] [-p] [-w] [-vvol] [-ddir] filename.adf [files...]

DESCRIPTION
unadf is a program that extracts files from an Amiga Disk File dump.

unadf supports dumping the native filesystems of both Amiga floppy disks and Amiga hard disks.

By default, unadf extracts all files it finds. To extract only specific files, list them with their full path after the dump filename.

OPTIONS
A summary of options is included below.

-l  Lists root directory contents.

-r  Lists directory tree contents.

-c  Use dircache data (must be used with -l).

-s  Display entries logical block pointer (must be used with -l).

-p  Pipe extracted files to stdout (unadf -p dump.adf Pics/pic1.gif | xv -).

-w  Mangle extracted filenames so they meet Windows file naming requirements. Forbidden characters and trailing dots or spaces will be replaced with an underscore, and an underscore will be inserted if a filename would otherwise be invalid (e.g. "CON.txt" becomes "CON_.txt", "prn" becomes "prn_")

-v vol
    Mount volume #vol instead of default #0 volume.

-d dir
    Extract to 'dir' directory.

-h  Show summary of options.

SEE ALSO
xdms(1).

AUTHOR
unadf was written by Laurent Clevy.

This manual page was written by Gürkan Sengün <gurkan@linuks.mine.nu>, for the Debian project (but may be used by others).